﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCEPT_constraint.sql **/
 EXEC P_ALTERPK 'PK_TCEPT_ADJ_RECORD', 'T_TCEPT_ADJ_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCEPT_ADJ_RE_FBIZID') CREATE INDEX IDX_T_TCEPT_ADJ_RE_FBIZID ON T_TCEPT_ADJ_RECORD ( FBIZID );


 EXEC P_ALTERPK 'PK_TCEPT_INCOME_BOOK', 'T_TCEPT_INCOME_BOOK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_TCEPT_IN_BOOK_FBILLNO_IDX') CREATE INDEX T_TCEPT_IN_BOOK_FBILLNO_IDX ON T_TCEPT_INCOME_BOOK ( FBILLNO );


 EXEC P_ALTERPK 'PK_TCEPT_INCOME_BOOK_DET', 'T_TCEPT_INCOME_BOOK_DET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCEPT_INCOME_BOOK_DET_FK') CREATE INDEX IDX_TCEPT_INCOME_BOOK_DET_FK ON T_TCEPT_INCOME_BOOK_DET ( FID );


 EXEC P_ALTERPK 'PK_TCEPT_RULE_CONFIG', 'T_TCEPT_RULE_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_TCEPT_R_C_FNUMBER_IDX') CREATE INDEX T_TCEPT_R_C_FNUMBER_IDX ON T_TCEPT_RULE_CONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_TCEPT_RULE_CONFIG_FETCH', 'T_TCEPT_RULE_CONFIG_FETCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCEPT_RULE_CONFIG_FETCH_FK') CREATE INDEX IDX_TCEPT_RULE_CONFIG_FETCH_FK ON T_TCEPT_RULE_CONFIG_FETCH ( FID );


 EXEC P_ALTERPK 'PK_TCEPT_RULE_CONFIG_L', 'T_TCEPT_RULE_CONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCEPT_RULE_CONFIG_L_0') CREATE INDEX IDX_TCEPT_RULE_CONFIG_L_0 ON T_TCEPT_RULE_CONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TCEPT_RULE_CONFIG_MAP', 'T_TCEPT_RULE_CONFIG_MAP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCEPT_RULE_CONFIG_MAP_FK') CREATE INDEX IDX_TCEPT_RULE_CONFIG_MAP_FK ON T_TCEPT_RULE_CONFIG_MAP ( FID );


 EXEC P_ALTERPK 'PK_TCEPT_SCHEME', 'T_TCEPT_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_TCEPT_SC_FNUMBER_IDX') CREATE INDEX T_TCEPT_SC_FNUMBER_IDX ON T_TCEPT_SCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_TCEPT_SCHEME_L', 'T_TCEPT_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCEPT_SCHEME_L_0') CREATE INDEX IDX_TCEPT_SCHEME_L_0 ON T_TCEPT_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TCEPT_RULE_SALESTATE', 'T_TCEPT_RULE_SALESTATE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCEPT_RULE_SALESTATE_FK') CREATE INDEX IDX_TCEPT_RULE_SALESTATE_FK ON T_TCEPT_RULE_SALESTATE ( FENTRYID );



/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCEPT_constraint.sql **/
