﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCEPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_ADJ_RECORD') 
 CREATE TABLE T_TCEPT_ADJ_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZTABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZID BIGINT DEFAULT 0 NOT NULL,
FBIZFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZROWTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBEFOREVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAFTERVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FUPDATEOR BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_INCOME_BOOK') 
 CREATE TABLE T_TCEPT_INCOME_BOOK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FSUMSUITE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMFLOORAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMGOODSVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMINTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRETURNEDMONEY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_INCOME_BOOK_DET') 
 CREATE TABLE T_TCEPT_INCOME_BOOK_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FCLEARPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FROOMBASEDATA BIGINT DEFAULT 0 NOT NULL,
FTAXSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECORATIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHOLDSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFLOORAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINISHDATE DATETIME,
FSIGNINGDATE DATETIME,
FGOODSVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNEDMONEY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALESTATE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_RULE_CONFIG') 
 CREATE TABLE T_TCEPT_RULE_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(199) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_RULE_CONFIG_FETCH') 
 CREATE TABLE T_TCEPT_RULE_CONFIG_FETCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTITEM BIGINT DEFAULT 0 NOT NULL,
FFETCHTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_RULE_CONFIG_L') 
 CREATE TABLE T_TCEPT_RULE_CONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(199) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_RULE_CONFIG_MAP') 
 CREATE TABLE T_TCEPT_RULE_CONFIG_MAP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISSELFHOLD CHAR(1) DEFAULT '0' NOT NULL,
FMINTOTALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXPLOTRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNINGTIME DATETIME,
FMINAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXTOTALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINPLOTRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSELFHOLDSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNINGSTART DATETIME,
FSIGNINGEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_SCHEME') 
 CREATE TABLE T_TCEPT_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FCLEARPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSAMECLEAROFCOST VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTBYCOST VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESHAREOFUNCLEAR VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_SCHEME_L') 
 CREATE TABLE T_TCEPT_SCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_RULE_SALESTATE') 
 CREATE TABLE T_TCEPT_RULE_SALESTATE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCEPT_table.sql **/
