﻿/**Begin D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\TCEPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_CBFTDG_FQJ') 
 CREATE TABLE T_TCEPT_CBFTDG_FQJ (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTSPLITMETHOD BIGINT DEFAULT 0 NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASENUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPLITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_CBFTDG_FQJ_FT') 
 CREATE TABLE T_TCEPT_CBFTDG_FQJ_FT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTITEM BIGINT DEFAULT 0 NOT NULL,
FHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBHSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_CBFTDG_FQJ_XM') 
 CREATE TABLE T_TCEPT_CBFTDG_FQJ_XM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_CBFTDG_FSWYT') 
 CREATE TABLE T_TCEPT_CBFTDG_FSWYT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTSPLITMETHOD BIGINT DEFAULT 0 NOT NULL,
FBASENUM1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPLITRATE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLEARTERM VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASENUM2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPLITRATE2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASENUM3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPLITRATE3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPLITRATE4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASENUM4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASENUM0 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPLITRATE0 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_CBFTDG_FSWYT_XM') 
 CREATE TABLE T_TCEPT_CBFTDG_FSWYT_XM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_CBFTDG_FWYT_FT') 
 CREATE TABLE T_TCEPT_CBFTDG_FWYT_FT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTITEM BIGINT DEFAULT 0 NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPTZZTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFCNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYTNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_COST_SPLIT_DRAFT') 
 CREATE TABLE T_TCEPT_COST_SPLIT_DRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHOUSEPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FCOSTTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTATECOSTTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEETOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNTTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLANDCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLEARPERIOD INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_PROJ_SHARP_OR') 
 CREATE TABLE T_TCEPT_PROJ_SHARP_OR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_PROJ_SHARP_PR') 
 CREATE TABLE T_TCEPT_PROJ_SHARP_PR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_PROJ_SHARP_RU') 
 CREATE TABLE T_TCEPT_PROJ_SHARP_RU (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULE BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_PROJ_SHARPLAN') 
 CREATE TABLE T_TCEPT_PROJ_SHARPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_PROJ_SHARPLAN_L') 
 CREATE TABLE T_TCEPT_PROJ_SHARPLAN_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


/**End D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\TCEPT_table.sql **/
