﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCEPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_DESK_BILL_RECORD') 
 CREATE TABLE T_TCEPT_DESK_BILL_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHOUSEPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLMETANUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLMODIFIER BIGINT DEFAULT 0 NOT NULL,
FBILLMODIFYDATE DATETIME,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTROLSEQ BIGINT DEFAULT 0 NOT NULL,
FVERSIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_LIQUIDA_CALC') 
 CREATE TABLE T_TCEPT_LIQUIDA_CALC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHOUSEPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSWQSYTFL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLEARPERIOD BIGINT DEFAULT 0 NOT NULL,
FFJSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCXMJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTDCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFDCKFCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFDCKFFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTKCXM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_LIQUIDA_CALC_E') 
 CREATE TABLE T_TCEPT_LIQUIDA_CALC_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPTZZ10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNUMBER BIGINT DEFAULT 0 NOT NULL,
FITEM VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCEPT_table.sql **/
